{
    attributes = (
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dateModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_DEMANDE"; 
            externalType = NUMBER; 
            name = idDemande; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_ETAPE_ARRIVEE"; 
            externalType = NUMBER; 
            name = idEtapeArrivee; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_ETAPE_DEPART"; 
            externalType = NUMBER; 
            name = idEtapeDepart; 
            valueClassName = NSNumber;
            valueType = i;  
        }, 
        {
            columnName = "ID_HISTORIQUE_DEMANDE"; 
            externalType = NUMBER; 
            name = idHistoriqueDemande; 
            valueClassName = NSNumber;
            valueType = i;  
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idHistoriqueDemande); 
    className = "org.cocktail.fwkcktlworkflow.serveur.metier.EOHistoriqueDemande"; 
    classProperties = (
        dateModification, 
        persIdModification, 
        toDemande, 
        toEtapeArrivee, 
        toEtapeDepart
    ); 
    externalName = "WORKFLOW.HISTORIQUE_DEMANDE"; 
    fetchSpecificationDictionary = {}; 
    name = HistoriqueDemande; 
    primaryKeyAttributes = (idHistoriqueDemande); 
    relationships = (
        {
            destination = Demande; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idDemande; sourceAttribute = idDemande; }); 
            name = toDemande; 
        }, 
        {
            destination = Etape; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idEtape; sourceAttribute = idEtapeArrivee; }); 
            name = toEtapeArrivee; 
        }, 
        {
            destination = Etape; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idEtape; sourceAttribute = idEtapeDepart; }); 
            name = toEtapeDepart; 
        }
    ); 
}
